## ibus-client-clutter 0.0+git20090728.a936bacf

=== debian/changelog ===
ibus-client-clutter (0.0+git20090728.a936bacf-7) unstable; urgency=medium

  [ Andreas Beckmann <anbe@debian.org> ]
  * Tighten libglib2.0-0 dependency due to glib_check_version() usage.
    (Closes: #985453)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 27 Mar 2021 19:33:11 +0800

ibus-client-clutter (0.0+git20090728.a936bacf-6) unstable; urgency=low

  * Bump Standards-Version to 4.5.0: nothing needs to be changed.
  * Bump debhelper version to 10
    - Remove dh-autoreconf
  * Fix FTCBFS: configures for the build architecture from ./autogen.sh
    - debian/patches/04_fix_FTCBFS_autogen.patch (Closes: #894743)
  * Rebuild against latest library and update the dependency (Closes: #981019)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 26 Jan 2021 18:53:02 +0800

ibus-client-clutter (0.0+git20090728.a936bacf-5.1) unstable; urgency=low

  [ Osamu Aoki ]
  * NMU for ibus 1.5 transition.

  [ Jeremy Bicha ]
  * debian/patches/03_port_to_ibus_1.5.patch:
    - Drop ibus_input_context_enable and _disable calls since they were
      dropped in ibus 1.5

 -- Osamu Aoki <osamu@debian.org>  Sat, 14 Sep 2013 08:23:22 +0900

ibus-client-clutter (0.0+git20090728.a936bacf-5) unstable; urgency=low

  * Update debian/copyright format to latest v1.0 format
  * Bump Standards-Version to 3.9.3: nothing neeed to be changed.
  * Multi-Arch support
    - Bump debhelper compat to 9
  * Don't install *.a files (Closes: #648564)
  * Use dh-autoreconf

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 28 Jun 2012 22:43:47 +0800

ibus-client-clutter (0.0+git20090728.a936bacf-4) unstable; urgency=low

  * Build depends on libibus-1.0-dev rather than libibus-dev. (Closes: #640711)
  * Bump Standards-Version to 3.9.2: nothing neeed to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 07 Sep 2011 10:03:17 +0800

ibus-client-clutter (0.0+git20090728.a936bacf-3) unstable; urgency=low

  * Clean *.la files (Closes: #621567)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 17 Apr 2011 20:08:46 +0800

ibus-client-clutter (0.0+git20090728.a936bacf-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1: nothing neeed to be changed.
  * Update copyright file to dep5 rev. 173 format
  * clean files in debian/clean
  * Use DebSrc3.0 format
  * Add debian/patches/02_port_to_ibus_1.3.9.patch: Fix crash when launching
    ibus.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 03 Apr 2011 02:17:56 +0800

ibus-client-clutter (0.0+git20090728.a936bacf-1) unstable; urgency=low

  * Initial release (Closes: #552587)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 27 Oct 2009 23:21:37 +0800
