=== debian/control ===
Source: ibus-client-clutter
Section: utils
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: autoconf,
               automake,
               cdbs,
               debhelper (>= 10),
               libclutter-imcontext-0.1-dev,
               libibus-1.0-dev | libibus-dev,
               libtool
Standards-Version: 4.5.0
Homepage: http://moblin.org/projects/input-method-framework

Package: ibus-clutter
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libclutter-imcontext-0.1-bin, ${misc:Depends}, ${shlibs:Depends}
 , ${glib:Depends}
Multi-Arch: same
Description: ibus input method framework for clutter
 IBus is an Intelligent Input Bus. It is a new input framework for Linux OS. It
 provides full featured and user friendly input method user interface. It also
 may help developers to develop input method easily.
 .
 ibus-clutter is the clutter client of ibus, it provides a clutter-immodule
 for ibus.
